Redmine - Defect #26393

Error when unchecking all settings on some plugins configurations
2017-07-10 05:50 - Keith Dickmann

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version: 3.4.2

Resolution: Fixed Affected version: 3.4.1
Description

To Reproduce

1 - install a plugin that only as checkboxes on it settings page (or use uploaded test plugin)
2 - check everything and save

3 - uncheck everything and save

4 - crash

NoMethodError (undefined method “permit!' for nil:NilClass):
app/controllers/settings_controller.rb:70:in “plugin’
lib/redmine/sudo_mode.rb:63:in "'sudo_mode'

Associated revisions

Revision 16812 - 2017-07-10 23:05 - Jean-Philippe Lang
Don't error when posting empty plugin settings (#26393).

Revision 16817 - 2017-07-16 13:47 - Jean-Philippe Lang
Merged r16812 (#26393).

History

#1 - 2017-07-10 07:12 - Toshi MARUYAMA
- Status changed from New to Confirmed

- Target version set to 3.4.2

#2 - 2017-07-10 07:14 - Toshi MARUYAMA

It works on Redmine 3.2 and 3.3.

#3 - 2017-07-10 23:08 - Jean-Philippe Lang

- Subject changed from Plugin settings page exception if uncheck all with checkbox only settings to Error when unchecking all settings on some

plugins configurations

- Category set to Administration

- Status changed from Confirmed to Resolved
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r16812, thanks for pointing this out.

#4 - 2017-07-16 13:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

test_plugin.tar.gz 1.11 KB 2017-07-10

2025-05-17

Keith Dickmann

1/1



https://www.redmine.org/projects/redmine/repository/svn/revisions/16812
http://www.tcpdf.org

